/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */

#ifndef BMP_PLUGIN_TRANSPORT_FILE_H
#define BMP_PLUGIN_TRANSPORT_FILE_H

#include <glib-object.h>

extern GType plugin_transport_file_type;

#define BMP_TYPE_PLUGIN_TRANSPORT_FILE             plugin_transport_file_type
#define BMP_PLUGIN_TRANSPORT_FILE(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), BMP_TYPE_PLUGIN_TRANSPORT_FILE, BmpPluginTransportFile))
#define BMP_PLUGIN_TRANSPORT_FILE_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), BMP_TYPE_PLUGIN_TRANSPORT_FILE, BmpPluginTransportFileClass))
#define BMP_IS_PLUGIN_TRANSPORT_FILE(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BMP_TYPE_PLUGIN_TRANSPORT_FILE))
#define BMP_IS_PLUGIN_TRANSPORT_FILE_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), BMP_TYPE_PLUGIN_TRANSPORT_FILE))
#define BMP_PLUGIN_TRANSPORT_FILE_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), BMP_TYPE_PLUGIN_TRANSPORT_FILE, BmpPluginTransportFileClass))


typedef struct _BmpPluginTransportFile BmpPluginTransportFile;
typedef struct _BmpPluginTransportFileClass BmpPluginTransportFileClass;

struct _BmpPluginTransportFile {
        GObject parent;
};

struct _BmpPluginTransportFileClass {
        GObjectClass parent;
};

void plugin_transport_file_register_type (GTypeModule *module);


#endif //BMP_PLUGIN_TRANSPORT_FILE_H
