#ifndef _PLUGIN_PRIV_H_
#define _PLUGIN_PRIV_H_

#include "bmpx/plugin.h"

enum {

    BMP_PLUGIN_TYPE_FLOW,
    BMP_PLUGIN_TYPE_CONTAINER,
    BMP_PLUGIN_TYPE_TRANSPORT,

    BMP_PLUGIN_N_TYPES

};

typedef struct {
	gchar *name;
	gchar *desc;
	gchar *suffix;
} ContainerHTuple;

extern GHashTable   *plugins_table[BMP_PLUGIN_N_TYPES];
#ifdef HAVE_GUI
extern GtkTreeStore *plugins_about;
#endif

void
plugins_initialize (void);

void
plugins_shutdown (void);

GList*
plugins_find_containers (void);

/* Auxilliary */
void
container_h_tuple_free (gpointer data);
 
#endif /* _PLUGIN_PRIV_H_ */
